<?php

include 'conf/dbc.php';
include 'conf/session_start.php';
$page_title = 'Админ-панель,мутанты';
include 'conf/head.php';
include 'conf/top.php';

$usid=abs(intval($_SESSION['id']));
$usst=$dbc->query("SELECT * FROM `users` WHERE`id`='$usid' LIMIT 1")->fetch_assoc();
if($usst['admin']<>'1'){header('location: /');}
$count=mysqli_num_rows(mysqli_query($dbc,"SELECT COUNT(*) FROM`monsters`"));



include_once 'nav_class.php';
echo '<center><p class="name2">Список мутантов</p></center>';

//Эх подстраничная навигация нелезть:)
$nstr='15'; //Сообщений на страницу
$countQ=$dbc->query("SELECT * FROM`monsters`"); #запрос в бд
$count=mysqli_num_rows($countQ); //Подсчёт строк
$pages = new Navigator($count,$nstr); #Вызов класса подстраничной навигации и расчёт страниц
$str = $pages -> start; //Сам хз что))
//----------//
$news="SELECT * FROM news ";

$rw=$dbc->query("SELECT * FROM `monsters` ORDER BY`id_monster`  LIMIT $str,$nstr"); //Запрос в бд 
while($rn = mysqli_fetch_assoc($rw)) {
$id=$rn['id_monster'];
$name=$rn['name'];
$screen=$rn['screen'];




echo '<p><div class="r2"><a  style="text-decoration:none"  href="monster_id.php?id='.$id.'"><img src="img/monsters/'.$screen.'"  width="40" height="40"> '.$name.'</a></span>';
//echo '<p>Добавил:<span class="net"> '.$user.'<p></span><p style="border-top: dashed #444e4f 1px;"> </p>';

if($usst['admin']==1 and isset($_GET['did'])){$dbc->query("DELETE FROM`monsters` WHERE`id_monster`='".intval($_GET['did'])."'");header('location: ?');
}
if($usst['admin']==1){echo'<a style="text-decoration:none;" href="?did='.($rn['id_monster']).'"><span class="red"> (удалить)</span></a>';}
echo'</div>';
}
if($count==0){echo'<p style="border-top: dashed #444e4f 1px;"></p>Новостей нет!<p style="border-top: dashed #444e4f 1px;"></p>';}
$pages->print_nav('&'); //Навигация гг

$msg=filter($_POST['msg']);
$usid=intval($_SESSION['id']);


require_once('conf/navig.php');
require_once('conf/foot.php');
mysqli_close($dbc);
?>